## AgsPeakUtil

AgsPeakUtil — Boxed type of peak util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsPeakUtil * | ags_peak_util_alloc ()
gpointer | ags_peak_util_copy ()
void | ags_peak_util_free ()
gpointer | ags_peak_util_get_source ()
void | ags_peak_util_set_source ()
guint | ags_peak_util_get_source_stride ()
void | ags_peak_util_set_source_stride ()
guint | ags_peak_util_get_buffer_length ()
void | ags_peak_util_set_buffer_length ()
AgsSoundcardFormat | ags_peak_util_get_format ()
void | ags_peak_util_set_format ()
guint | ags_peak_util_get_samplerate ()
void | ags_peak_util_set_samplerate ()
gdouble | ags_peak_util_get_harmonic_rate ()
void | ags_peak_util_set_harmonic_rate ()
gdouble | ags_peak_util_get_pressure_factor ()
void | ags_peak_util_set_pressure_factor ()
gdouble | ags_peak_util_get_peak ()
void | ags_peak_util_set_peak ()
void | ags_peak_util_compute_s8 ()
void | ags_peak_util_compute_s16 ()
void | ags_peak_util_compute_s24 ()
void | ags_peak_util_compute_s32 ()
void | ags_peak_util_compute_s64 ()
void | ags_peak_util_compute_float ()
void | ags_peak_util_compute_double ()
void | ags_peak_util_compute_complex ()
void | ags_peak_util_compute ()

## Types and Values

#define | AGS_PEAK_UTIL_DEFAULT_HARMONIC_RATE
#define | AGS_PEAK_UTIL_DEFAULT_PRESSURE_FACTOR
#define | AGS_PEAK_UTIL_INITIALIZER

## Object Hierarchy

        GBoxed
        ╰── AgsPeakUtil

## Includes

    #include <ags/audio/ags_peak_util.h>

## Description

Boxed type of peak util data type.

## Functions

### ags_peak_util_alloc ()

    AgsPeakUtil *
    ags_peak_util_alloc ();

Allocate AgsPeakUtil

#### Returns

a new AgsPeakUtil

Since: 3.9.2

### ags_peak_util_copy ()

    gpointer
    ags_peak_util_copy (AgsPeakUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsPeakUtil |

#### Returns

a pointer of the new AgsPeakUtil

Since: 3.9.2

### ags_peak_util_free ()

    void
    ags_peak_util_free (AgsPeakUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsPeakUtil |

Since: 3.9.2

### ags_peak_util_get_source ()

    gpointer
    ags_peak_util_get_source (AgsPeakUtil *peak_util);

Get source buffer of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |

#### Returns

the source buffer

Since: 3.9.2

### ags_peak_util_set_source ()

    void
    ags_peak_util_set_source (AgsPeakUtil *peak_util,
                              gpointer source);

Set `source` buffer of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |
source | the source buffer. | [transfer none]

Since: 3.9.2

### ags_peak_util_get_source_stride ()

    guint
    ags_peak_util_get_source_stride (AgsPeakUtil *peak_util);

Get source stride of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |

#### Returns

the source buffer stride

Since: 3.9.2

### ags_peak_util_set_source_stride ()

    void
    ags_peak_util_set_source_stride (AgsPeakUtil *peak_util,
                                     guint source_stride);

Set `source` stride of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |
source_stride | the source buffer stride |

Since: 3.9.2

### ags_peak_util_get_buffer_length ()

    guint
    ags_peak_util_get_buffer_length (AgsPeakUtil *peak_util);

Get buffer length of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |

#### Returns

the buffer length

Since: 3.9.2

### ags_peak_util_set_buffer_length ()

    void
    ags_peak_util_set_buffer_length (AgsPeakUtil *peak_util,
                                     guint buffer_length);

Set `buffer_length` of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |
buffer_length | the buffer length |

Since: 3.9.2

### ags_peak_util_get_format ()

    AgsSoundcardFormat
    ags_peak_util_get_format (AgsPeakUtil *peak_util);

Get format of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |

#### Returns

the format

Since: 3.9.6

### ags_peak_util_set_format ()

    void
    ags_peak_util_set_format (AgsPeakUtil *peak_util,
                              AgsSoundcardFormat format);

Set `format` of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |
format | the format |

Since: 3.9.6

### ags_peak_util_get_samplerate ()

    guint
    ags_peak_util_get_samplerate (AgsPeakUtil *peak_util);

Get samplerate of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |

#### Returns

the samplerate

Since: 3.9.2

### ags_peak_util_set_samplerate ()

    void
    ags_peak_util_set_samplerate (AgsPeakUtil *peak_util,
                                  guint samplerate);

Set `samplerate` of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |
samplerate | the samplerate |

Since: 3.9.2

### ags_peak_util_get_harmonic_rate ()

    gdouble
    ags_peak_util_get_harmonic_rate (AgsPeakUtil *peak_util);

Get harmonic rate of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |

#### Returns

the harmonic rate

Since: 3.9.2

### ags_peak_util_set_harmonic_rate ()

    void
    ags_peak_util_set_harmonic_rate (AgsPeakUtil *peak_util,
                                     gdouble harmonic_rate);

Set `harmonic_rate` of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |
harmonic_rate | the harmonic rate |

Since: 3.9.2

### ags_peak_util_get_pressure_factor ()

    gdouble
    ags_peak_util_get_pressure_factor (AgsPeakUtil *peak_util);

Get pressure factor of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |

#### Returns

the pressure factor

Since: 3.9.2

### ags_peak_util_set_pressure_factor ()

    void
    ags_peak_util_set_pressure_factor (AgsPeakUtil *peak_util,
                                       gdouble pressure_factor);

Set `pressure_factor` of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |
pressure_factor | the pressure factor |

Since: 3.9.2

### ags_peak_util_get_peak ()

    gdouble
    ags_peak_util_get_peak (AgsPeakUtil *peak_util);

Get peak of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |

#### Returns

the peak

Since: 3.9.2

### ags_peak_util_set_peak ()

    void
    ags_peak_util_set_peak (AgsPeakUtil *peak_util,
                            gdouble peak);

Set `peak` of `peak_util` .

#### Parameters

peak_util | the AgsPeakUtil |
peak | the peak |

Since: 3.9.2

### ags_peak_util_compute_s8 ()

    void
    ags_peak_util_compute_s8 (AgsPeakUtil *peak_util);

Compute peak of signed 8 bit data.

#### Parameters

peak_util | the AgsPeakUtil |

Since: 3.9.2

### ags_peak_util_compute_s16 ()

    void
    ags_peak_util_compute_s16 (AgsPeakUtil *peak_util);

Compute peak of signed 16 bit data.

#### Parameters

peak_util | the AgsPeakUtil |

Since: 3.9.2

### ags_peak_util_compute_s24 ()

    void
    ags_peak_util_compute_s24 (AgsPeakUtil *peak_util);

Compute peak of signed 24 bit data.

#### Parameters

peak_util | the AgsPeakUtil |

Since: 3.9.2

### ags_peak_util_compute_s32 ()

    void
    ags_peak_util_compute_s32 (AgsPeakUtil *peak_util);

Compute peak of signed 32 bit data.

#### Parameters

peak_util | the AgsPeakUtil |

Since: 3.9.2

### ags_peak_util_compute_s64 ()

    void
    ags_peak_util_compute_s64 (AgsPeakUtil *peak_util);

Compute peak of signed 64 bit data.

#### Parameters

peak_util | the AgsPeakUtil |

Since: 3.9.2

### ags_peak_util_compute_float ()

    void
    ags_peak_util_compute_float (AgsPeakUtil *peak_util);

Compute peak of floating point data.

#### Parameters

peak_util | the AgsPeakUtil |

Since: 3.9.2

### ags_peak_util_compute_double ()

    void
    ags_peak_util_compute_double (AgsPeakUtil *peak_util);

Compute peak of double floating point data.

#### Parameters

peak_util | the AgsPeakUtil |

Since: 3.9.2

### ags_peak_util_compute_complex ()

    void
    ags_peak_util_compute_complex (AgsPeakUtil *peak_util);

Compute peak of complex floating point data.

#### Parameters

peak_util | the AgsPeakUtil |

Since: 3.9.2

### ags_peak_util_compute ()

    void
    ags_peak_util_compute (AgsPeakUtil *peak_util);

Compute peak.

#### Parameters

peak_util | the AgsPeakUtil |

Since: 3.9.2

## Types and Values

### AGS_PEAK_UTIL_DEFAULT_HARMONIC_RATE

    #define AGS_PEAK_UTIL_DEFAULT_HARMONIC_RATE (440.0)

### AGS_PEAK_UTIL_DEFAULT_PRESSURE_FACTOR

    #define AGS_PEAK_UTIL_DEFAULT_PRESSURE_FACTOR (1.0)

### AGS_PEAK_UTIL_INITIALIZER

    #define             AGS_PEAK_UTIL_INITIALIZER